Bug 10686 - Fielded searches confuse highlighter
Summary: Fielded searches confuse highlighter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jared Camins-Esakov
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-06 00:45 UTC by Jared Camins-Esakov
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10686: Remove fields from searches for highlighting (2.59 KB, patch)
2013-08-06 01:02 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 10686: Remove fields from searches for highlighting (2.66 KB, patch)
2013-08-08 19:44 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 10686: Remove fields from searches for highlighting (2.75 KB, patch)
2013-08-16 12:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-08-06 00:45:48 UTC
If you do a fielded search like au:smith, "Smith" will not get highlighted on the results page because the Javascript is looking for the exact string "au:smith"
Comment 1 Jared Camins-Esakov 2013-08-06 01:02:07 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-08-08 19:44:06 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 12:39:57 UTC
Created attachment 20404 [details] [review]
Bug 10686: Remove fields from searches for highlighting

If you do a fielded search like au:smith, "Smith" will not get
highlighted on the results page because the Javascript is looking for
the exact string "au:smith."

To test:
1) Turn on OpacHighlightedWords.
2) Do a simple keyword search.
3) Confirm that the word is highlighted on the results and details page.
4) Do a fielded search by entering au:smith (or whatever).
5) Confirm that the word is highlighted on the results and details page.
6) Sign off.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, works as advertised.
Comment 4 Galen Charlton 2013-08-16 16:39:09 UTC
Pushed to master.  Thanks, Jared!

Not quite bulletproof yet, though (not that I think it will *ever* be completely) -- consider

ti,wrdl:history
Comment 5 Tomás Cohen Arazi 2013-09-12 19:08:53 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Jared!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 22:40:15 UTC
Pushed to 3.10.x, will be in 3.10.11